<?php
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do wyciągania wszystkich plików wgranych na serwer
	
	#Zawannsowane szukanie
	
	Black Min cms,
	
	#plik: 1.1
*/

			/*function execer($roszerzenie_pliki, $zlciz_all_pliki,$wyklucz_roszczerzenia,$zlicz_wykluczenia){
			for($y=0;$y<$zlicz_wykluczenia;$y++){
			
				if($roszerzenie_pliki[$zlciz_all_pliki-1] == $wyklucz_roszczerzenia[$y]){
					//echo " tak ";
					
					//echo " _ ".$roszerzenie_pliki[$zlciz_all_pliki-1] ." | ".  $wyklucz_roszczerzenia[$y]. " _ ";
					
					//array_push($all_plik, $plik);
					
					$dostep = false;
				}else{
					//echo " nie ";
					//echo " _ ".$roszerzenie_pliki[$x] ." | ".  $wyklucz_roszczerzenia[$y]. " _ ";
					
					//array_push($all_plik, $plik);
					
					$dostep = true;
					
					/*if(array_search($plik, $all_plik)){
						echo "tak";
					}else{
						array_push($all_plik, $plik);
						echo "nie";
					}*//*
					
				}
				
				if($dostep == true){
					//array_push($all_plik, $plik);
				}
				
			
			}
			
				return $dostep;
			
			};*/

	// ładowanie jądra black mina
	require_once "black-min.php";
	
	require_once "cut.php";
	
	// odbieranie od skryptu metodą post informacji na temat poszukiwanych rekordów w bacie danych
	
	if (isset ($_POST['ile_load'])){
		$ile_load = $_POST['ile_load'];
	}else {
		$ile_load = "25";
	}
	
	// renderowanie odpowiedniego wyniku szukanychh informacji przez użytkownika

	// tworzenie tablicy do przechowywania nazw folderów motywów black min'a
	$all_katolog = [];
	
	// tablica do przechowywania nazw folderów w motywie
	$nazwa_katolog = [];
	
	// tworzenie tablicy odpowiedzialnej za przechowywanie danych na temat plików
	$all_plik = [];
	
	// tablica do przechowywania nazw plików w folderze
	$nazwa_plik = [];

	// tablica do przechowywania danych o zabronionych roszerzeniach
	$wyklucz_roszczerzenia = [
		'0' => "png",
		'1' => "jpg",
		'2' => "jpeg",
		'3' => "bnp",
	];
	
	$zlicz_wykluczenia = count($wyklucz_roszczerzenia);

	// dodawanie do szukania w folderze głównym
	//array_push($all_katolog, "");

	// pobieranie wszystkich katologów motywów zainstalowanych na serwerze
	//print_r(glob('../../a/motywy/'.theme_active_bm().'/*', GLOB_ONLYDIR));
	//var_dump(glob('../../a/motywy/'.theme_active_bm().'/*.*', GLOB_ERR       ));
	//var_dump(glob('../../a/motywy/'.theme_active_bm().'/'.$all_katolog.'/*.*', GLOB_MARK));
	//print_r(glob("../../*.*"));
	
	// pobieranie wszystkich folderów w aktywnym motywie
	foreach (glob('../../a/motywy/'.theme_active_bm().'/*', GLOB_ONLYDIR) as $katalog) {
		$katalog_reserch = explode("/", $katalog);
		//var_dump($katalog_reserch[5]);
		array_push($nazwa_katolog, $katalog_reserch[5]);
		
		array_push($all_katolog, $katalog);
	}
	
	// sortowanie nazw filderów od A do Zawannsowane
	$zlicz_folder = sort($all_katolog);
	
	// dodawanie do wszystkich kotalogów, katalogu domowego
	//array_push($all_katolog, "");	
	
	// zliczanie wszystkich folderów w motywie
	$zlicz_folder = count($all_katolog);

	// pętla do poierania plików z folderu domowego motywu
	foreach (glob('../../a/motywy/'.theme_active_bm().'/*.*', GLOB_MARK) as $plik) {
		$plik_reserch = explode("/", $plik);
		
		$roszerzenie_pliki = explode(".", $plik_reserch[5]);
		
		// zliczanie oczymanych wyników po 
		$zlciz_all_pliki = count($roszerzenie_pliki);
		
		// sprawdzanie czy roszerzenie pliku nie jest na czarnej liście i eventualnie usuwanie go z tablicy 
		
		if((array_search($wyklucz_roszczerzenia[0], $roszerzenie_pliki)) OR (array_search($wyklucz_roszczerzenia[1], $roszerzenie_pliki)) OR (array_search($wyklucz_roszczerzenia[2], $roszerzenie_pliki)) OR (array_search($wyklucz_roszczerzenia[3], $roszerzenie_pliki))){
		}else{
			array_push($all_plik, $plik);
			array_push($nazwa_plik, $plik_reserch[5]);
		}
	}	
	
	// pętla do pobierania plików z wewnącz folderów
	for($i=0;$i<$zlicz_folder;$i++){

		// pętla do pobierania plików z folderów wyszukanych przez pobieżednią pętla wyciągającą nazy folderów
		foreach (glob($all_katolog[$i].'/*.*', GLOB_MARK) as $plik) {
			$plik_reserch = explode("/", $plik);
			//var_dump($plik_reserch[6]);
			
			$roszerzenie_pliki = explode(".", $plik_reserch[6]);
			//var_dump($roszerzenie_pliki);
			$zlciz_all_pliki = count($roszerzenie_pliki);
			
			// sprawdzanie czy roszerzenie pliku nie jest na czarnej liście i eventualnie usuwanie go z tablicy 

			/*for($y=0;$y<$zlicz_wykluczenia;$y++){
			
				if($roszerzenie_pliki[$zlciz_all_pliki-1] == $wyklucz_roszczerzenia[$y]){
					//echo " tak ";
					
					//echo " _ ".$roszerzenie_pliki[$zlciz_all_pliki-1] ." | ".  $wyklucz_roszczerzenia[$y]. " _ ";
					
					//array_push($all_plik, $plik);
					
					$dostep = false;
				}else{
					//echo " nie ";
					//echo " _ ".$roszerzenie_pliki[$x] ." | ".  $wyklucz_roszczerzenia[$y]. " _ ";
					
					//array_push($all_plik, $plik);
					
					$dostep = true;
					
					/*if(array_search($plik, $all_plik)){
						echo "tak";
					}else{
						array_push($all_plik, $plik);
						echo "nie";
					}*/
					/*
				}
				
				if($dostep == true){
					//array_push($all_plik, $plik);
				}
				
			
			}*/

			/*for($y=0;$y<$zlicz_wykluczenia;$y++){
				
				if(array_search($wyklucz_roszczerzenia[$y], $roszerzenie_pliki[$zlciz_all_pliki-1])){
					echo "tak";
				}else{
				//	array_push($all_plik, $plik);
					echo "nie";
				}
			
			}*/
			
			if((array_search($wyklucz_roszczerzenia[0], $roszerzenie_pliki)) OR (array_search($wyklucz_roszczerzenia[1], $roszerzenie_pliki)) OR (array_search($wyklucz_roszczerzenia[2], $roszerzenie_pliki)) OR (array_search($wyklucz_roszczerzenia[3], $roszerzenie_pliki))){
				//echo "tak";
			}else{
				array_push($all_plik, $plik);
				array_push($nazwa_plik, $plik_reserch[5]."/".$plik_reserch[6]);
				//echo "nie";
			}
			
			//var_dump($wyklucz_roszczerzenia);
			//var_dump($roszerzenie_pliki);
			/*if(array_search($wyklucz_roszczerzenia, $roszerzenie_pliki)){
						echo "tak";
			}else{
				array_push($all_plik, $plik);
				echo "nie";
			}*/
			
			/*$s = $roszerzenie_pliki[$zlciz_all_pliki-1];
			
			if(array_search($s, $wyklucz_roszczerzenia)){
						echo "tak";
			}else{
				array_push($all_plik, $plik);
				echo "nie";
			}*/
		
	
			//te1($roszerzenie_pliki,$wyklucz_roszczerzenia, $zlicz_wykluczenia);
			//var_dump(execer($roszerzenie_pliki, $zlciz_all_pliki,$wyklucz_roszczerzenia, $zlicz_wykluczenia));
	
			//echo $dostep;
			//if($dostep !== false){
				//array_push($all_plik, $plik);
			//}
		
			
			//array_push($nazwa_katolog, $katalog_reserch[6]);
			
			//array_push($all_plik, $plik);
		}	
		
		//$plik = glob('../../a/motywy/'.theme_active_bm().'/'.$all_katolog[$i].'/*.*', GLOB_MARK);
		//echo $plik ;
		//array_push($all_plik, $plik);
		
	}	
	
	//foreach (glob('../../a/motywy/'.theme_active_bm().'/'.$all_katolog.'/*.*', GLOB_MARK) as $katalog) {
		//$katalog_reserch = explode("../../../a/motywy/".theme_active_bm()."/", $katalog);
	//	array_push($all_katolog, $katalog);
	//}	
	
	//var_dump($all_katolog);
	//var_dump($all_plik);
	//var_dump($nazwa_plik);
	
	$zlicz_all_plik = count($all_plik);
	
	for($i=0;$i<$zlicz_all_plik;$i++){
		echo '<section class="tsr tsr-p-10px tsr-mt-10 fs-60 background-green cursor-pointer" data-nazwa-pliku="'.$nazwa_plik[$i].'" ><a href="?src='.$nazwa_plik[$i].'">'.$nazwa_plik[$i].'</a></section>';
	}

?>